<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo_15</title>
</head>
<body>
    <h1>Ejemplo 15</h1>

    <script>

        const allfib = ( n ) => {
            let memo = new Array(n + 1);
            for (var i = 0; i < n; i++) {
                console.log(`${i} : ${fib(i, memo)}`)
            } 
        }

        const fib = ( n, memo ) => {
            if (n <= 0 ) return 0;
            else if ( n === 1) return 1;
            else if (memo[n] > 0) return memo[n];

            memo[n] = fib(n-1,memo) + fib(n-2,memo);
            return memo[n];
        }
        
        let f = allfib(6);
        console.log(f);

    </script>
    
</body>
</html>